org.bdgenomics.adam.rdd.read

# ADAMBAMOutputFormat

#### class ADAMBAMOutputFormat[K] extends KeyIgnoringBAMOutputFormat[K] with Serializable

Linear Supertypes
Serializable, Serializable, KeyIgnoringBAMOutputFormat[K], BAMOutputFormat[K], FileOutputFormat[K, SAMRecordWritable], OutputFormat[K, SAMRecordWritable], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ADAMBAMOutputFormat
2. Serializable
3. Serializable
4. KeyIgnoringBAMOutputFormat
5. BAMOutputFormat
6. FileOutputFormat
7. OutputFormat
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ADAMBAMOutputFormat()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def checkOutputSpecs(arg0: JobContext): Unit

   Definition Classes
     FileOutputFormat → OutputFormat
   Annotations
     @throws( classOf[java.io.IOException] ) @throws( ... )

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getDefaultWorkFile(arg0: TaskAttemptContext, arg1: String): Path

    Definition Classes
      FileOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

14. #### def getOutputCommitter(arg0: TaskAttemptContext): OutputCommitter

    Definition Classes
      FileOutputFormat → OutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

15. #### def getRecordWriter(arg0: TaskAttemptContext, arg1: Path): RecordWriter[K, SAMRecordWritable]

    Definition Classes
      KeyIgnoringBAMOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

16. #### def getRecordWriter(arg0: TaskAttemptContext): RecordWriter[K, SAMRecordWritable]

    Definition Classes
      KeyIgnoringBAMOutputFormat → FileOutputFormat → OutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

17. #### def getSAMHeader(): SAMFileHeader

    Definition Classes
      KeyIgnoringBAMOutputFormat

18. #### def getWriteHeader(): Boolean

    Definition Classes
      KeyIgnoringBAMOutputFormat

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def readSAMHeaderFrom(arg0: InputStream, arg1: Configuration): Unit

    Definition Classes
      KeyIgnoringBAMOutputFormat

25. #### def readSAMHeaderFrom(arg0: Path, arg1: Configuration): Unit

    Definition Classes
      KeyIgnoringBAMOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

26. #### def setSAMHeader(arg0: SAMFileHeader): Unit

    Definition Classes
      KeyIgnoringBAMOutputFormat

27. #### def setWriteHeader(arg0: Boolean): Unit

    Definition Classes
      KeyIgnoringBAMOutputFormat

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from KeyIgnoringBAMOutputFormat[K]

### Inherited from BAMOutputFormat[K]

### Inherited from FileOutputFormat[K, SAMRecordWritable]

### Inherited from OutputFormat[K, SAMRecordWritable]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped